\NeedsTeXFormat{LaTeX2e}[1999/12/01]
\ProvidesClass{matprsv}
          [2001/10/20, compliler: M.Vyalyi]
%13.10.01 Vyalyi:    ⨫ \ ᢥ饭\.
%  ⨫ LaTeX' ᮧ  㦤 ᡮ୨ \ ᢥ饭\
% ..  ⥬ ⢮᪮ 樨 ⠭⭮ ⨫
% book.sty  ⨫ .. 좮᪮ russcorr.sty. ⢥⢥ 
% 騥   訡 楫   . 﫮. 易  
% ( )    :
% vyalyi@mccme.ru
% (. ⠪  ।樨 ᢥ饭)
%
%%%%     %%%%%%%%%%%  
%%% 
%%%  
%%%%%%%%%%%07/02/97 : 170  240%%%%%%%%%%%%%%%%%%%
%%%HEADINGS%%%%%%%%%%
%%PARTS, CHAPTERS, SECTIONS%%%%%%%
%%%LISTS%%%
%%ENVIRONMENTS%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% ( 訩 thms-rus)
%%%FIGURES and TABLES, their parameters %%%
%%%  (訩 figx!)
%%%OLDFONTS%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%TABLE OF CONTENTS%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% 
%%%NAMES (  )%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% CHANGES IN MATH MODE
%%%    ( ⠢ ।)
%%% 
%%%  ( ⮬ ᫥  russcorr.sty)

%%% ---------------------------------     砫 ।

%%% 

\newcommand\@ptsize{}
\newif\if@restonecol
\newif\if@titlepage
\@titlepagetrue
\newif\if@openright
\newif\if@mainmatter \@mainmattertrue
%%MV
\newif\if@elevenpt

\if@compatibility\else
\DeclareOption{a4paper}
   {\setlength\paperheight {297mm}%
    \setlength\paperwidth  {210mm}}
\DeclareOption{a5paper}
   {\setlength\paperheight {210mm}%
    \setlength\paperwidth  {148mm}}
\DeclareOption{b5paper}
   {\setlength\paperheight {250mm}%
    \setlength\paperwidth  {176mm}}
\DeclareOption{letterpaper}
   {\setlength\paperheight {11in}%
    \setlength\paperwidth  {8.5in}}
\DeclareOption{legalpaper}
   {\setlength\paperheight {14in}%
    \setlength\paperwidth  {8.5in}}
\DeclareOption{executivepaper}
   {\setlength\paperheight {10.5in}%
    \setlength\paperwidth  {7.25in}}
\DeclareOption{landscape}
   {\setlength\@tempdima   {\paperheight}%
    \setlength\paperheight {\paperwidth}%
    \setlength\paperwidth  {\@tempdima}}
\fi
\if@compatibility
  \renewcommand\@ptsize{0}
\else
\DeclareOption{10pt}{\renewcommand\@ptsize{0}%
\font\boldsymbol=cmmib10 scaled 1000
\@elevenptfalse}
\fi
\DeclareOption{11pt}{\renewcommand\@ptsize{1}%
\font\boldsymbol=cmmib10 scaled 1095
\@elevenpttrue}
\DeclareOption{12pt}{\renewcommand\@ptsize{2}%
\font\boldsymbol=cmmib10 scaled 1200
}
\if@compatibility\else
\DeclareOption{oneside}{\@twosidefalse \@mparswitchfalse}
\fi
\DeclareOption{twoside}{\@twosidetrue  \@mparswitchtrue}
\DeclareOption{draft}{\setlength\overfullrule{5pt}}
\if@compatibility\else
\DeclareOption{final}{\setlength\overfullrule{0pt}}
\fi
\DeclareOption{titlepage}{\@titlepagetrue}
\if@compatibility\else
\DeclareOption{notitlepage}{\@titlepagefalse}
\fi
\if@compatibility
\@openrighttrue
\else
\DeclareOption{openright}{\@openrighttrue}
\DeclareOption{openany}{\@openrightfalse}
\fi
\if@compatibility\else
\DeclareOption{onecolumn}{\@twocolumnfalse}
\fi
\DeclareOption{twocolumn}{\@twocolumntrue}
\DeclareOption{leqno}{\input{leqno.clo}}
\DeclareOption{fleqn}{\input{fleqn.clo}}
\DeclareOption{openbib}{%
  \AtEndOfPackage{%
   \renewcommand\@openbib@code{%
      \advance\leftmargin\bibindent
      \itemindent -\bibindent
      \listparindent \itemindent
      \parsep \z@
      }%
   \renewcommand\newblock{\par}}%
}
\newif\if@longtoc
\DeclareOption{longtoc}{\@longtoctrue}
\DeclareOption{shorttoc}{\@longtocfalse}
\newif\if@indentheadings
\DeclareOption{indentheadings}{\@indentheadingstrue}
\DeclareOption{noindentheadings}{\@indentheadingsfalse}
\DeclareOption{nofoto}{\def\foto#1{\psdraft\epsffile{#1}\psfull}}
\DeclareOption{fotoon}{\def\foto#1{\epsffile{#1}}}
\ExecuteOptions{letterpaper,10pt,twoside,onecolumn,final,openany,%
                shorttoc,noindentheadings,fotoon}
\ProcessOptions
\input{bk1\@ptsize.clo}
\setlength\lineskip{1\p@}
\setlength\normallineskip{1\p@}
%\renewcommand\baselinestretch{}
\setlength\parskip{0\p@ \@plus \p@}
\@lowpenalty   51
\@medpenalty  151
\@highpenalty 301


%%%  
\setcounter{topnumber}{2}
\renewcommand\topfraction{.7}
\setcounter{bottomnumber}{1}
\renewcommand\bottomfraction{.7}
\setcounter{totalnumber}{3}
\renewcommand\textfraction{.2}
\renewcommand\floatpagefraction{.75}
\setcounter{dbltopnumber}{2}
\renewcommand\dbltopfraction{.7}
\renewcommand\dblfloatpagefraction{.5}


%%%%%%%%%%%07/02/97 : 170  240%%%%%%%%%%%%%%%%%%%
\widowpenalty=10000%19/03/97 :   稥 ப
\hfuzz=0.3pt
%07/02/97 : ८। ࠧ஢  *.clo
  \setlength\@tempdima{170mm}
  \addtolength\@tempdima{-4cm}
  \setlength\@tempdimb{390\p@}
  \if@twocolumn
    \ifdim\@tempdima>2\@tempdimb\relax
      \setlength\textwidth{2\@tempdimb}
    \else
      \setlength\textwidth{\@tempdima}
    \fi
  \else
    \ifdim\@tempdima>\@tempdimb\relax
      \setlength\textwidth{\@tempdimb}
    \else
      \setlength\textwidth{\@tempdima}
    \fi
  \fi
\if@compatibility\else
  \@settopoint\textwidth
\fi
\if@compatibility
  \setlength\textheight{36\baselineskip}
\else
%% %%for 11pt
  \if@elevenpt
   \def\baselinestretch{0.9512}
   \textheight=39\baselineskip
%% for 10pt
  \else
   \textheight=44\baselineskip
  \fi
\advance\textheight by \topskip
\fi

\if@twocolumn
 \setlength\marginparsep {10\p@}
\else
  \setlength\marginparsep{7\p@}
\fi
\setlength\marginparpush{7\p@}
\if@compatibility
  \setlength\topmargin{.73in}
\else
  \setlength\topmargin{235mm}
  \addtolength\topmargin{-7mm}
  \addtolength\topmargin{-\topskip}
  \addtolength\topmargin{-\headheight}
  \addtolength\topmargin{-\headsep}
  \addtolength\topmargin{-\textheight}
  \addtolength\topmargin{-\footskip}     % this might be wrong!
%  \addtolength\topmargin{-.5\topmargin}
%13.10.01 Vyalyi:
%  \setlength\topmargin{2mm}%23.01.99 
  \@settopoint\topmargin
\fi
   \setlength\oddsidemargin   {39mm}
   \setlength\evensidemargin  {39mm}

%13.10.01 Vyalyi: 直 ࠧ, ७ᥭ ᭨ 䠩
\setlength\arraycolsep{5\p@}
\setlength\tabcolsep{6\p@}
\setlength\arrayrulewidth{.4\p@}
\setlength\doublerulesep{2\p@}
\setlength\tabbingsep{\labelsep}
\skip\@mpfootins = \skip\footins
\setlength\fboxsep{3\p@}
\setlength\fboxrule{.4\p@}

%%13.10.01 Vyalyi:   ८। ࠧ஢

%%%HEADINGS%%%%%%%%%

%pagestyle headings: ଠ쭠 ୠ쭠 ࠭
\def\ps@headings{\let\@mkboth\markboth
 \def\@oddfoot{}\def\@evenfoot{}%       No feet.
 \def\@evenhead%
{\raisebox{0pt}[\headheight][0pt]{%
\vbox{\hbox to\textwidth{\textsf{\thepage}\hfil\strut \slshape\leftmark}% Left heading.
\hrule}%
}}
 \def\@oddhead%
{\raisebox{0pt}[\headheight][0pt]{%
\vbox{\hbox to\textwidth{\strut{\slshape \rightmark}\hfil \textsf{\thepage}}% Right heading.
\hrule}%
}}
 \def\chaptermark##1{\ifx##1\relax
\markboth {\@author}{\@title}\else \markboth {\@author}{##1}\fi}
}

%pagestyle sheadings: ᮡ ⨫  ⪨ ਠ
\def\ps@sheadings{\let\@mkboth\markboth
 \def\@oddfoot{}\def\@evenfoot{}%       No feet.
 \def\@evenhead%
{\global\partbeginfalse\raisebox{0pt}[\headheight][0pt]{%
\vbox{\hbox to\textwidth{\textsf{\thepage}\hfil\strut}% Left heading.
\hrule}%
}}
 \def\@oddhead%
{\global\partbeginfalse\raisebox{0pt}[\headheight][0pt]{%
\vbox{\hbox to\textwidth{\strut{}\hfil \textsf{\thepage}}% Right heading.
\hrule}%
}}
 \def\chaptermark##1{\ifx##1\relax
\markboth {\@author}{\@title}\else \markboth {\@author}{##1}\fi}
}

%pagestyle startpaperheadings: ࢠ ࠭   砫 ਪ
\def\ps@startpaperheadings{\let\@mkboth\markboth
\def\@evenhead{}\def\@oddhead{}
\def\@evenfoot%
{\global\partbeginfalse\raisebox{0pt}[\headheight][0pt]{\box\bottominfo}}
 \let\@oddfoot\@evenfoot
 \def\chaptermark##1{\ifx##1\relax
\markboth {\@author}{\@title}\else \markboth {\@author}{##1}\fi}
}


%pagestyle paperheadings: ࢠ ࠭    砫 ਪ
\def\ps@paperheadings{\let\@mkboth\markboth
\def\@evenhead%
{\raisebox{0pt}[\headheight][0pt]{%
\vbox{\hbox to\textwidth{\textsf{\thepage}\hfil\strut}% Left heading.
\hrule}%
}}
\def\@oddhead%
{\raisebox{0pt}[\headheight][0pt]{%
\vbox{\hbox to\textwidth{\strut\hfil \textsf{\thepage}}% Right heading.
\hrule}%
}}%
 \def\@oddfoot%
{\global\partbeginfalse\raisebox{0pt}[\headheight][0pt]{\box\bottominfo}}
\let\@evenfoot\@oddfoot
 \def\chaptermark##1{\ifx##1\relax
\markboth {\@author}{\@title}\else \markboth {\@author}{##1}\fi}
}

%pagestyle myheadings:   ⨫ ଫ - 祣!
%13.10.01 Vyalyi: empty 祭 - 㦭 ⬥ ४⥫
%\global\partbeginfalse
\def\ps@myheadings{\let\@mkboth\@gobbletwo
 \def\@oddfoot{}\def\@evenfoot{}%       No feet.
 \def\@evenhead{\global\partbeginfalse}% No head
 \def\@oddhead{\global\partbeginfalse}%    No head
}

%pagestyle special: ᮡ ⨫   
\def\ps@special{\let\@mkboth\markboth
 \def\@evenhead%
{\global\partbeginfalse\raisebox{0pt}[\headheight][0pt]{%
\vbox{\noindent\rule{0.32\textwidth}{0.8pt}\hbox to0.36\textwidth%
{\hfil\bfseries  \hfil}%
\rule{0.32\textwidth}{0.8pt}\vskip1pt\hrule\vskip0.8pt\hrule}%
}}
 \def\@evenfoot%
{\global\partbeginfalse\raisebox{0pt}[\headheight][0pt]{%
\vbox{\hrule\vskip0.6pt\hrule\vskip1pt\rule{\textwidth}{0.8pt}}%
}}
 \let\@oddfoot\@evenfoot\let\@oddhead\@evenhead
}


%%%PARTS, CHAPTERS, SECTIONS
\newcommand*\chaptermark[1]{}
\setcounter{secnumdepth}{2}

\newcounter {part}                    %%  ᮮ⢥ ਪ,
\newcounter {chapter}                 %    -- 

% 05-08-95 : section ᮮ⢥ ࠧ
\newcounter {section}[chapter]
\newcounter {subsection}[section]
\newcounter {subsubsection}[subsection]
\newcounter {paragraph}[subsubsection]
\newcounter {subparagraph}[paragraph]

%13.10.01 Vyalyi: ਪ 뢠 ⤥쭮,
% ⠢     
\def\thepart{}
%13.10.01 Vyalyi:   㬥,  
\def\thechapter{}
\def\thesection       {\arabic{section}}
\def\thesubsection    {\thesection.\arabic{subsection}}
\def\thesubsubsection {\thesubsection .\arabic{subsubsection}}
\def\theparagraph     {\thesubsubsection.\arabic{paragraph}}
\def\thesubparagraph  {\theparagraph.\arabic{subparagraph}}

% 05-08-95    ࠧ饭 ᮪饭  ⥩  㫠
%   ᯥ樠 ।  প 
%  ⪮  ஢  ⥩  ..
\def\shorttitle#1{\gdef\@shorttitle{#1}}
\let\@shorttitle\relax
\newif\if@full\@fullfalse
\def\{\if@full\and\else,\space\fi}
\def\#1{\if@full\space(#1)\else\relax\fi}
\def\#1{\if@full \ {\normalsize (#1)}\else\relax\fi}
\def\ਬ#1{\if@full\thanks{#1}\else\relax\fi}
\def\#1{\if@full#1\space\else\space\fi}
\def\undertitle#1{\if@full \\[2mm] {\normalsize #1}\else\relax\fi}
\def\titskip#1{\if@full\hskip#1\else\relax\fi}

\def\leftheadertitle{}

%13.10.01 Vyalyi: , 㪠뢠騩  砫 ਪ
\newif\ifpartbegin\partbeginfalse
\newcommand\part{%
  \if@openright
    \cleardoublepage
  \else
    \clearpage
  \fi
 \global\partbegintrue
  \thispagestyle{myheadings}%
  \if@twocolumn
    \onecolumn
    \@tempswatrue
  \else
    \@tempswafalse
  \fi
%%07/02/97 :   \null\vfil
  \secdef\@part\@spart}


\def\@part[#1]#2{
        \refstepcounter{part}%
%14/05/97 : bug? \ifnum\c@part>1
\addtocontents{toc}{\protect\medskip\protect\noindent\protect\textbf{#2}}%
\addtocontents{toc}{\protect\par\protect\smallskip}%
%16.02.98 :         \addtocontents{toc}{\protect\bigskip
%16.02.98 : \protect\textbf{#2}\protect\\[1mm] }%
                      %\fi% 05-08-95 
   {\centering
    \interlinepenalty \@M
    \null\vskip-10.85mm
    \hrule height 0.7pt\vskip0.7\p@\hrule height1.4pt\vskip2.1\p@\vskip0.05in
    \huge \bfseries #2\strut
    \par\hrule height1.4pt\vskip2\p@\hrule height 0.7pt}
\vskip0.95in\@endpart}

\def\@endpart{
   \if@twoside
       \hbox{}%
       \thispagestyle{empty}%
   \fi
   \if@tempswa
     \twocolumn
   \fi}

\def\@spart#1{
%14/05/97 : bug? \ifnum\c@part>1
\addcontentsline{toc}{mypart}{\protect\textbf{#1}}
\addtocontents{toc}{\protect\par\protect\smallskip}%
   {\centering
    \interlinepenalty \@M
    \null\vskip-10.85mm
    \hrule height 0.7pt\vskip0.7\p@\hrule height1.4pt\vskip2.1\p@\vskip0.05in
    \huge \bfseries #1\strut
    \par\hrule height1.4pt\vskip2\p@\hrule height 0.7pt}
\vskip0.95in\@endpart}


%\def\@spart#1{{\centering
%    \interlinepenalty \@M
%    \vskip -20\p@
%    \huge \bfseries #1
%    \par\vskip0.05in\hrule height1.4pt\vskip2.8\p@\hrule height 0.8pt}
%\vskip0.95in\@endpart}

\def\chapter{%
% 05-08-95 :   ᨬ  ⤥쭮 ப
%  (᫨ )   ⤥쭮 --- 
%Vyalyi: 18-01-07  11 ᪫祭      ப
%% \ifx\@author\relax\else
%% \addtocontents{toc}%
%% {\protect\noindent\@author\protect\nopagebreak}%09/02/97 02:14
%% \fi
\ifx\@author\relax
\addcontentsline{toc}{chapter}{\textit{\@title}}
\else
\addcontentsline{toc}{chapter}{\@author.\space\textit{\@title}}
\fi
\addtocontents{toc}{\smallskip}%
\markboth{}{}
\refstepcounter{chapter}%
\arttitle
\chaptermark\@shorttitle}

\newbox\bottominfo
\newbox\topinfo
\newbox\authorinfo

\long\def\affiliation#1{%
\setbox\authorinfo\vbox{\noindent\rule{0.25\textwidth}{0.4pt}\par\medskip#1}}

\def\LastPage{\vfill\box\authorinfo\FullPage}
\def\placeCR#1{\def\copyrightauthor{\copyright #1}}
\let\copyrightauthor\relax

%%祭 ⥩
%
\def\material#1{\begingroup
%13.10.01 Vyalyi:  㭨쭮 䨪  ⪠
\gdef\ContainedIn{#1}
\let\Label\label \def\label##1{\Label{#1:##1}}%
\let\Ltx@label\ltx@label\def\ltx@label##1{\Ltx@label{#1:##1}}%
\let\Ref\ref \def\ref##1{\Ref{#1:##1}}%
\let\Pageref\pageref \def\pageref##1{\Pageref{#1:##1}}%
%\let\Bibitem\bibitem \def\bibitem##1{\Bibitem{#1:##1}}%
\setbox\authorinfo\vbox to40pt{\vfill}
\setbox\bottominfo\vbox{\hbox to\textwidth{\strut\footnotesize%
\copyrightauthor\hfil\textsf{⥬᪮ ᢥ饭,
. 3, . \, \Year
(\expandafter\pageref{boa}--%
\expandafter\pageref{eoa})
}}}
\renewenvironment{document}
 {% 砫 ⥪
  \ifpartbegin\thispagestyle{startpaperheadings}\global\partbeginfalse
  \else\thispagestyle{paperheadings}\fi
  \let\nontoc\inText\chapter{}\let\nontoc\inToc\expandafter\label{boa}
 }
 {%  ⥪
\expandafter\label{eoa}
\expandafter\LastPage
\endinput
%\let\LastPageFull\relax
\global\let\copyrightauthor\relax}
\let\⥫\document
\let\end⥫\enddocument
\def\DeclareMathOperator##1##2{\def##1{\mathop{\mathrm{##2}}}}
\global\let\@author\relax\global\let\@title\relax\global
\let\@shorttitle\relax\let\@additional\relax%
\input #1.tex%
\endgroup}

\def\FullPage{\pagebreak[4]}
\let\LastPageFull\relax

%20.10.01 Vyalyi: ⪨ ਠ
\def\vvodka#1{\begingroup
%13.10.01 Vyalyi:  㭨쭮 䨪  ⪠
\gdef\ContainedIn{#1}
\let\Label\label \def\label##1{\Label{#1:##1}}%
\let\Ltx@label\ltx@label\def\ltx@label##1{\Ltx@label{#1:##1}}%
\let\Ref\ref \def\ref##1{\Ref{#1:##1}}%
\let\Pageref\pageref \def\pageref##1{\Pageref{#1:##1}}%
%\let\Bibitem\bibitem \def\bibitem##1{\Bibitem{#1:##1}}%
\renewenvironment{document}
 {% 砫 ⥪
  \ifpartbegin\thispagestyle{empty}\global\partbeginfalse
  \else\thispagestyle{sheadings}\fi
 }
 {\endinput%  ⥪
 }
\let\⥫\document
\let\end⥫\enddocument
\def\DeclareMathOperator##1##2{\def##1{\mathop{\mathrm{##2}}}}
\global\let\@author\relax\global\let\@title\relax\global
\let\@shorttitle\relax\let\@additional\relax%
\input #1.tex%
\endgroup}


\def\arttitle{\par
 \begingroup
 \null
   \def\thefootnote{\fnsymbol{footnote}}%
     \global\@topnum\z@
 \vskip 2em
 \@fulltrue
  \ifx\@title\relax\else
  \setbox\topinfo\vbox{\centering{\LARGE \@title \par}\vskip 1em}
  \fi
  \ifx\@author\relax\else
  \setbox\topinfo\vbox{\centering\box\topinfo
  {\large\lineskip .5em
   \begin{tabular}[t]{c}\@author
   \end{tabular}\par}%
  }
  \fi
  \ifx\@additional\relax\else
  \setbox\topinfo\vbox{\centering\box\topinfo\@additional\par}
  \fi
 \begin{center}\box\topinfo\end{center}%
 \par
 \vskip 1em
\@fullfalse
\@thanks
  \endgroup
 \setcounter{footnote}{0}%
\global\language=0
 \gdef\@thanks{}
}

%13.11.01 Vyalyi:  ( 䠬 )
\def\email#1{\def\@additional{\texttt{#1}}}

%20.12.03 Vyalyi:  ࠡ ( 䠬 )
\def\affil#1{\def\@additional{\small #1}}


%13.10.01 Vyalyi: ᠭ 
\def\#1#2{\global\def\@author{#1}\global\def\@title{#2}}


%13.10.01 Vyalyi: ᠭ , ⠢  ᮢ⨬
\let\\title


%13.10.01 Vyalyi: । ⨪ ⡨  ࠧ
\def\section{\@startsection {section}{2}{\z@}%
                                   {3.5ex \@plus 1ex \@minus .2ex}%
                                   {1.3ex \@plus.2ex}%
                                   {\normalfont\large\mdseries\scshape}}
\def\subsection{\@startsection{subsection}{2}{\z@}%
                                     {3.25ex\@plus 1ex \@minus .2ex}%
                                     {0.75ex \@plus .2ex}%
                                     {\normalfont\normalsize\scshape}}
\def\subsubsection{\@startsection{subsubsection}{2}{\z@}%
                                     {2.25ex\@plus 0.5ex \@minus .2ex}%
                                     {0.5ex \@plus .1ex}%
                                     {\normalfont\normalsize\scshape}}
\def\paragraph{\@startsection{paragraph}{4}{\z@}%
                                    {1.25ex \@plus1ex \@minus.2ex}%
                                    {-0.7em}%
                                    {\normalfont\normalsize\scshape}}
\def\subparagraph{\@startsection{subparagraph}{5}{\parindent}%
                                       {1.25ex \@plus.5ex \@minus .2ex}%
                                       {-1em}%
                                      {\normalfont\normalsize\bfseries}}



%13.10.01 Vyalyi: ୮ ᮪  業஢ 
%   좮᪮  
\def\@seccntformat#1{\csname pre#1\endcsname\csname the#1\endcsname
                \csname post#1\endcsname}
\let\@Tocseccntformat\@seccntformat
\def\@postskip@{\hskip.5em\relax}
\def\postsection{.\@postskip@}
\def\postsubsection{.\@postskip@}
\def\postsubsubsection{.\@postskip@}
\def\postparagraph{.\@postskip@}
\def\postsubparagraph{.\@postskip@}
\def\presection{}
\def\presubsection{}
\def\presubsubsection{}
\def\preparagraph{}
\def\presubparagraph{}
%% Unfortunately, \@seccntformat is not reflected in toc.
%% Hence, I had to hack up the definition of \@sect a little.
\def\@sect#1#2#3#4#5#6[#7]#8{%
     \ifnum #2>\c@secnumdepth
       \let\@svsec\@empty\else
       \refstepcounter{#1}%
       \let\@@protect\protect
       \def\protect{\noexpand\protect\noexpand}%
       \edef\@svsec{\@seccntformat{#1}}%
       \let\protect\@@protect
     \fi
     \@tempskipa #5\relax
      \ifdim \@tempskipa>\z@
        \begingroup\centering%13/04/97 
          #6\relax
          \@hangfrom{\hskip #3\relax\@svsec}%
                    {\interlinepenalty \@M #8\par}%
        \endgroup
       \csname #1mark\endcsname{#7}\addcontentsline
         {toc}{#1}{\ifnum #2>\c@secnumdepth \else
                      \protect\numberline{\@Tocseccntformat{#1}}\fi
%%                                        ^^^^^^^^^^^^^^^^^^^^^
         \if@longtoc#8\else#7\fi}\else
%%       ^^^^^^^^^^^^^^^^^^^^^^^
        \def\@svsechd{#6\hskip #3\relax  %% \relax added 2 May 90
                   \@svsec #8\csname #1mark\endcsname
                      {#7}\addcontentsline
                           {toc}{#1}{\ifnum #2>\c@secnumdepth \else
                           \protect\numberline{\@Tocseccntformat{#1}}\fi
%%                                             ^^^^^^^^^^^^^^^^^^^^^
         \if@longtoc#8\else#7\fi}}\fi
%%       ^^^^^^^^^^^^^^^^^^^^^^^
     \@xsect{#5}}

%08/02/97 :  ண LATeXa
\def\@ssect#1#2#3#4#5{\@tempskipa #3\relax
   \ifdim \@tempskipa>\z@
     \begingroup #4
 \leftskip=#1\relax \rightskip=#1\relax
          \centering
\interlinepenalty \@M \ignorespaces#5\par
     \endgroup
%  \ignorespaces । #5
   \else \def\@svsechd{#4\hskip #1\relax
\ignorespaces #5}\fi
%  \ignorespaces । #5
    \@xsect{#3}}



%13.10.01 Vyalyi:    㦭?
\def\@mainmattertrue{\let\if@mainmatter\iftrue}
\def\@mainmatterfalse{\let\if@mainmatter\iffalse}
\@mainmattertrue

%%%LISTS%%%
\if@twocolumn
  \setlength\leftmargini  {2em}
\else
  \setlength\leftmargini  {2.2em}
\fi
\leftmargin  \leftmargini
\setlength\leftmarginii  {2.2em}
\setlength\leftmarginiii {1.87em}
\setlength\leftmarginiv  {1.7em}
\if@twocolumn
  \setlength\leftmarginv  {.5em}
  \setlength\leftmarginvi {.5em}
\else
  \setlength\leftmarginv  {1em}
  \setlength\leftmarginvi {1em}
\fi
%%Set vspaces for lists
\setlength\partopsep{3\p@ \@plus 2\p@ \@minus 2\p@}
\def\@listi{\leftmargin\leftmargini
            \parsep 2\p@  \@plus1.5\p@ \@minus\p@
            \topsep \itemsep
            \partopsep 4\p@ \@plus2\p@   \@minus2\p@
            \itemsep4\p@  \@plus2.5\p@ \@minus\p@}
\let\@listI\@listi
\@listi
\def\@listii {\leftmargin\leftmarginii
              \labelwidth\leftmarginii
              \advance\labelwidth-\labelsep
              \topsep    2.5\p@\@plus\p@\@minus\p@
              \parsep   \z@
              \itemsep   \parsep}
\def\@listiii{\leftmargin\leftmarginiii
              \labelwidth\leftmarginiii
              \advance\labelwidth-\labelsep
              \topsep    2.5\p@\@plus\p@\@minus\p@
              \parsep    \z@
              \partopsep \p@ \@plus\z@ \@minus\p@
              \itemsep   \parsep}
\def\@listiv {\leftmargin\leftmarginiv
              \labelwidth\leftmarginiv
              \advance\labelwidth-\labelsep}
\def\@listv  {\leftmargin\leftmarginv
              \labelwidth\leftmarginv
              \advance\labelwidth-\labelsep}
\def\@listvi {\leftmargin\leftmarginvi
              \labelwidth\leftmarginvi
              \advance\labelwidth-\labelsep}

%%end of Set vspaces for lists

%%hspaces
\setlength\leftmargini{2.4em}
\addtolength\leftmargini{-2pt}
\leftmargin  \leftmargini
%

\setlength  \labelsep  {.5em}
\setlength  \labelwidth{\leftmargini}
\addtolength\labelwidth{-\labelsep}
\@beginparpenalty -\@lowpenalty
\@endparpenalty   -\@lowpenalty
\@itempenalty     -\@lowpenalty
\renewcommand\theenumi{\@arabic\c@enumi}
\renewcommand\theenumii{\@alph\c@enumii}
\renewcommand\theenumiii{\@roman\c@enumiii}
\renewcommand\theenumiv{\@Alph\c@enumiv}
\newcommand\labelenumi{\textup{\theenumi.}}
\newcommand\labelenumii{\textup{(\theenumii)}}
\newcommand\labelenumiii{\textup{\theenumiii.}}
\newcommand\labelenumiv{\textup{\theenumiv.}}
\renewcommand\p@enumii{\theenumi}
\renewcommand\p@enumiii{\theenumi(\theenumii)}
\renewcommand\p@enumiv{\p@enumiii\theenumiii}
\newcommand\labelitemi{$\triangleright$}
\newcommand\labelitemii{--}
\newcommand\labelitemiii{$\m@th\ast$}
\newcommand\labelitemiv{$\m@th\cdot$}

\def\ralph#1{\@ralph{\@nameuse {c@#1}}}
\def\@ralph#1{\ifcase #1\or \or \or \or \or \or \or \or \or
\else\@iralph{#1}\fi
}
\def\@iralph#1{\ifcase #1\or\or\or\or\or\or\or\or\or\or
     \or \or \or \or \or \or \or \or \or \or
     \or \or \or \or \or \or \or \or \else\@ctrerr
     \fi}
\def\Ralph#1{\@Ralph{\@nameuse {c@#1}}}
\def\@Ralph#1{\ifcase #1%
     \or \or \or \or \or \or \or \or \or
     \else\@iRalph{#1}\fi}
\def\@iRalph#1{\ifcase #1%
     \or\or\or\or\or\or\or\or\or\or \or \or \or
     \or \or \or \or \or \or \or \or \or \or
     \or \or \or \or \or \else\@ctrerr
     \fi}

\message{lists}
%  "㥬" 㦥 enumerate:
\def\theenumii{\ralph{enumii}}
\def\labelenumii{\theenumii)}
%13.10.01 Vyalyi:  ?
\def\p@enumii{\theenumi}
\def\labelenumiii{{\bf--}}
\let\theenumiii\relax
\def\p@enumiii{\theenumi\theenumii}
%
%   ⨬ 뢠  enumerate   㣠 ...
%
\def\enumerate{\ifnum \@enumdepth >2% 뫮 3,   2
\@toodeep\else
      \advance\@enumdepth \@ne
      \edef\@enumctr{enum\romannumeral\the\@enumdepth}\list
      {\csname label\@enumctr\endcsname}{\usecounter
        {\@enumctr}\def\makelabel##1{\hss\llap{##1}}}\fi}
%
%  । 㦥 rlist
%  ᮧ ᯨ᪮,  
% \item' 㬥 ᪨ 㪢
% (묨  rlist, ய묨  rlist[u])
%
\@definecounter{rlistctr}
\newif\if@rlistsnested\@rlistsnestedfalse
\def\rlist{\@ifnextchar[{\@rlist}{\@rlist[l]}}
\def\@rlist[#1]{\if u#1\def\@tempa{R}\else\def\@tempa{r}\fi
                \if@rlistsnested\@toodeep\else
                \@rlistsnestedtrue
                \edef\therlistctr{\expandafter\noexpand\csname
                                @\@tempa alph\endcsname\noexpand\c@rlistctr}%
                \list{\labelrlist}{\usecounter
                   {rlistctr}}\fi}
\let\endrlist\endlist
\def\labelrlist{\therlistctr)}


\newenvironment {renumerate}{\bgroup
\def\labelenumi{\theenumi)}\def\theenumi{\ralph{enumi}}
\begin{enumerate}}{\end{enumerate}\egroup}
\newenvironment {aenumerate}{\bgroup
\def\labelenumi{\theenumi)}\def\theenumi{\roman{enumi}}
\begin{enumerate}}{\end{enumerate}\egroup}
\newenvironment {nenumerate}[1]{\bgroup
\def\labelenumi{{\upshape\theenumi)}}\def\theenumi{\arabic{enumi}}
\begin{enumerate}\setcounter{enumi}{#1}}{\end{enumerate}\egroup}

\newenvironment {lenumerate}{\bgroup
\def\labelenumi{\theenumi)}\def\theenumi{\roman{enumi}}
\begin{enumerate}}{\end{enumerate}\egroup}
\newenvironment {dlenumerate}{\bgroup
\def\labelenumi{(\theenumi)}\def\theenumi{\roman{enumi}}
\begin{enumerate}}{\end{enumerate}\egroup}

\newenvironment {Lenumerate}{\bgroup
\def\labelenumi{\theenumi.}\def\theenumi{\Roman{enumi}}
\begin{enumerate}}{\end{enumerate}\egroup}

%%%  (訩 figx!)
\newcount\figcnt
\newdimen\mytmpdim
\newdimen\figdima
\newdimen\figdimb
\newdimen\figdimc
\newdimen\figdimw
\newdimen\fboxdimw
\newbox\figtextbox
\newbox\figfigbox
\newbox\fignumbox
\fboxdimw=0pt


\def\figt#1{\slshape\bxseries . #1.}% 㭪
\def\lcapt#1{\small\vskip\abovecaptionskip
\centerline{\figt{#1}}
\vskip\belowcaptionskip}

%20.10.01 Vyalyi:  ᯮ짮
%20.10.01 Vyalyi:
%#1  -  㭪 ( , 祬)
%#2  䠩
%#3  㭪
%#4   㭪
%#5  - ४஢  ਭ
%\long\def\#1#2#3#4#5{\small


%20.10.01 Vyalyi:
%#1  -  㭪
%           (>1pt -  , 祬,  ᯮ ⢥ )
%#2  - ਭ 㭪
%#3  䠩 (Postscript only)
%#4   㭪
%#5 ⪠ 㭪
\long\def\#1#2#3#4#5{\begin{minipage}{#2}
\ifdim#1>1pt\vbox to#1{\vfill\centerline{\epsffile{#3}}\vfill}\else%
\centerline{\epsffile{#3}}\fi
\refstepcounter{figure}
%\vskip\baselineskip
{\advance\abovecaptionskip by -1pt
\vskip\abovecaptionskip
\begin{center}
{\slshape\bxseries .~\thefigure.}\hskip1em\slshape\mdseries #4
\end{center}\unskip
\vskip\belowcaptionskip
}
\label{#5}
\end{minipage}
}%12.02.99 : end of macro

%05.06.98 :
%ઠ
%#1 ਭ   ન (⥫쭠 - ࠢ)
%#2 ⢮ ப,     ( ࠢ hangafter)
%#3 ⠢塞   ਠ
\long\def\ઠ#1#2#3{\figdima=#1%
\figdimb=#2\baselineskip \advance\figdimb by -\baselineskip
\ifnum#2>0 \vbox to\figdimb{\vss}\vskip\baselineskip\else\fi
\vbox to 0pt{\ifdim\figdima>0pt
\figdimc=\figdima\advance\figdimc by-\columnsep
\hbox to\textwidth{%
\hbox to\figdima{\begin{minipage}{\figdimc}\begin{center}#3\end{center}\end{minipage}%
\hskip\columnsep}\hfill}\else%
\figdimc=-\figdima\advance\figdimc by-\columnsep
\hbox to\textwidth{\hfill%
\hbox to-\figdima{\hskip\columnsep\begin{minipage}{\figdimc}%
\begin{center}{#3}\end{center}\end{minipage}%
}}\fi%
\vss}
\ifnum#2>0 \vskip-\figdimb\vskip-\baselineskip\else\fi
\vskip-\baselineskip
\hangindent=#1
\hangafter=#2%
}%06/04/97 : end of def


%%end of 

%%ENVIRONMENTS%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%13.10.01 Vyalyi: ,  ᪠,  
\newenvironment{epigraph}[2]
               {\def\authorofepigraph{#2}\list{}{\slshape\leftmargin=#1\textwidth}%
                \item\relax}
               {\endlist\null\vspace*{-2\baselineskip}\begin{flushright}
		 {\rm\authorofepigraph}\end{flushright}
                \medskip\let\authorofepigraph\relax}

\def\ਧ#1#2#3{\begin{epigraph}{#1}{#3}#2\end{epigraph}}

\newenvironment{description}
               {\list{}{\labelwidth\z@ \itemindent-\leftmargin
                        \let\makelabel\descriptionlabel}}
               {\endlist}
\newcommand*\descriptionlabel[1]{\hspace\labelsep
                                \normalfont\scshape #1}
\newenvironment{verse}
               {\let\\\@centercr
                \list{}{\itemsep      \z@
                        \parsep 1\p@  \@plus0.5\p@ \@minus\p@
                        \topsep 1\p@  \@plus0.5\p@ \@minus\p@
                        \partopsep 4\p@ \@plus2\p@   \@minus2\p@
                        \itemsep\p@  \@plus0.5\p@ \@minus0.5\p@
                        \itemindent   -1.5em%
                        \listparindent\itemindent
                        \rightmargin  \leftmargin
                        \advance\leftmargin 1.5em}%
                \item\relax}
               {\endlist}
\newenvironment{quotation}
               {\list{}{\listparindent 1.5em%
                        \itemindent    \listparindent
                        \rightmargin   \leftmargin
                        \parsep        \z@ \@plus\p@}%
                \item\relax}
               {\endlist}
\newenvironment{quote}
               {\list{}{\itemindent\parindent%
                        \parsep 1\p@  \@plus0.5\p@ \@minus\p@
                        \topsep 1\p@  \@plus0.5\p@ \@minus\p@
                        \partopsep 4\p@ \@plus2\p@   \@minus2\p@
                        \itemsep\p@  \@plus0.5\p@ \@minus0.5\p@
                        \leftmargin1.5\parindent%10/02/97 22:06 hack
                        \rightmargin\leftmargin}%
                \item\relax}
               {\endlist}

%
\def\abstract{
\if@twocolumn
\section*{\abstractname}%
\else \small
\begin{center}
\quotation
\fi}

\def\endabstract{
\if@twocolumn\else\endquotation\end{center}\fi\bigskip}

%13.10.01 Vyalyi:  environment titlepage ᯮ
% \maketitle ( 㬥⮢)


\newdimen\bibindent
\setlength\bibindent{1.5em}
\newenvironment{thebibliography}[1]
     {\section*{\bibname}%%07/02/97 :
      \list{\@biblabel{\@arabic\c@enumiv}}%
           {\settowidth\labelwidth{\@biblabel{#1}}%
            \leftmargin\labelwidth
            \advance\leftmargin\labelsep
            \@openbib@code
            \usecounter{enumiv}%
            \let\p@enumiv\@empty
            \renewcommand\theenumiv{\@arabic\c@enumiv}}%
      \sloppy\clubpenalty4000\widowpenalty4000%
      \sfcode`\.\@m}
     {\def\@noitemerr
       {\@latex@warning{Empty `thebibliography' environment}}%
      \endlist}
\newcommand\newblock{\hskip .11em\@plus.33em\@minus.07em}
\let\@openbib@code\@empty


%13.10.01 Vyalyi:  뢠!
\newcommand\appendix{\par
\setcounter{section}{0}%
\def\presection{ਫ\space}
\def\thesection{\Ralph{section}}}
%%% ( 訩 thms-rus)

%
%  ஡ - ⠢ 窨 ᫥ ஢ "⥮६".
%   । \afterthmseparator  樠㥬
%  窮.    ⠭ - ८।
%   \relax
%
\let\theoremshape\itshape
\def\afterthmseparator{.}
\expandafter\ifx\csname theoremstyle\endcsname\relax
  \def\@begintheorem#1#2{\partopsep=0pt%
\topsep=0.5em plus 0.1em minus 0.1em\trivlist\itemindent=\parindent
     \item[\hskip \labelsep{\scshape #1\ #2\unskip\afterthmseparator}]
    \itshape}
  \def\@opargbegintheorem#1#2#3{\partopsep=0pt%
\topsep=0.5em plus 0.1em minus 0.1em\trivlist\itemindent=\parindent
        \item[\hskip \labelsep{\scshape #1\ #2\ (#3)\afterthmseparator}]
    \itshape}
\fi

%13.10.01 Vyalyi: 㬥஢ ``⥮६''
  \newtheorem {universal}{\CurrentThmName}
  \renewcommand \theuniversal {}
\newcommand\Unnumbered[2]{
\newenvironment{#1}{\def\CurrentThmName{#2}\begin{universal}}
{\end{universal}}
}

\Unnumbered{Lemma}{}
\Unnumbered{Theorem}{६}
\Unnumbered{Statement}{।}
\Unnumbered{Corollary}{⢨}
\Unnumbered{Problem}{}

\newcommand\UnnumberedUpshape[2]{
\newenvironment{#1}{\def\CurrentThmName{#2}\begin{universal}\upshape}
{\end{universal}}
}

\UnnumberedUpshape{proof}{⥫⢮}
\UnnumberedUpshape{Remark}{砭}
\UnnumberedUpshape{}{}
\UnnumberedUpshape{Definition}{।}
\UnnumberedUpshape{ਬ}{ਬ}
\UnnumberedUpshape{}{ࠦ}

%14.10.01 Vyalyi: ॢ襥
\newtheorem {generic}{\hskip-\labelsep}[chapter]
\renewcommand \thegeneric{}
\newenvironment{thgen}{\def\afterthmseparator{}\begin{generic}}%
{\end{generic}\def\afterthmseparator{.}}

%14.10.01 Vyalyi: ⮢  ந쭮 
\newenvironment{}[1]{\def\CurrentThmName{#1}\begin{universal}}
{\end{universal}}
\newenvironment{}[1]{\def\CurrentThmName{#1}\begin{universal}\upshape}
{\end{universal}}

%13.10.01 Vyalyi: 㬥஢ ⥮६ 㬥   

\def\Numbered#1#2#3{
 \newtheorem{#1}{#2}[chapter]
 \@namedef{the#1}{\arabic{#1}}
\newenvironment{#3}{\begin{#1}\upshape}{\end{#1}}
}

\Numbered{theorem}{६}{⥮६}
\Numbered{lemma}{}{}
\Numbered{statement}{।}{।}
\Numbered{corollary}{⢨}{᫥⢨}
\Numbered{problem}{}{}
\Numbered{claim}{⢥ত}{}
\Numbered{exer}{ࠦ}{}
\Numbered{defi}{।}{}
\Numbered{remark}{砭}{砭}
\Numbered{example}{ਬ}{ਬ}


%%  筨  襡

\newenvironment{筨}{%
\begin{enumerate}%
\long\def\prob##1##2##3{%08.02.98 : 㬥 -- ᤢ,   ᫮
\item ##3\par\penalty4000\vskip##1\hbox to\textwidth{\hfil{\it ##2}}\par}
}{\end{enumerate}%
}

\long\def\resh#1#2#3#4#5{%05/02/00: 㬥 -- , ᫮, ᤢ,    襭
{\sc#1. ᫮.}\kern0.4em#4\par\smallskip%
{\sc 襭.}\kern0.4em#5\penalty4000\vskip#2\hbox to\textwidth{\hfil{\it #3}}\par\medskip}

\newcommand{\uslovie}[2]{{\sc#1. ᫮.}\kern0.4em#2\par\smallskip}
\newdimen\CorrSign\newsavebox{\SignBox}
\newenvironment{reshenie}[4]{\CorrSign=#2\baselineskip%
\sbox{\SignBox}{(\textit{#3})}
\uslovie{#1}{#4}{\sc 襭.}\kern0.4em}
{\refstepcounter{chapter}\addtocounter{chapter}{-1}
\penalty4000\vskip\CorrSign\hspace*{\fill}\usebox{\SignBox}\par
\vskip-\CorrSign\smallskip}
\newenvironment{spetsreshenie}[4]{\CorrSign=#2\baselineskip%
\sbox{\SignBox}{(\textit{#3})}
\uslovie{#1}{#4}}
{\refstepcounter{chapter}\addtocounter{chapter}{-1}
\penalty4000\vskip\CorrSign\hspace*{\fill}\usebox{\SignBox}\par
\vskip-\CorrSign\smallskip}


\newenvironment{reshmain}[5]{\CorrSign=#2\sbox{\SignBox}{(\textit{#3})}
\uslovie{#1}{#4}{\sc#5.}\kern0.4em}
{\setcounter{lemma}{0}\setcounter{figure}{0}
\penalty4000\vskip\CorrSign\hspace*{\fill}\usebox{\SignBox}\par\smallskip}

\newenvironment{reshalter}[3]{\CorrSign=#1\sbox{\SignBox}{(\textit{#2})}
{\sc#3.}\kern0.4em}
{\setcounter{lemma}{0}\setcounter{figure}{0}
\penalty4000\vskip\CorrSign\hspace*{\fill}\usebox{\SignBox}\par\medskip}

%%%FIGURES and TABLES, their parameters %%%
\newcounter{figure}[chapter]
\renewcommand\thefigure{\@arabic\c@figure}
\def\fps@figure{tbp}
\def\ftype@figure{1}
\def\ext@figure{lof}
\def\fnum@figure{\figurename~\thefigure}
\newenvironment{figure}
               {\@float{figure}}
               {\end@float}
\newenvironment{figure*}
               {\@dblfloat{figure}}
               {\end@dblfloat}
\newcounter{table}[chapter]
\renewcommand\thetable{\@arabic\c@table}
\def\fps@table{tbp}
\def\ftype@table{2}
\def\ext@table{lot}
\def\fnum@table{\tablename~\thetable}
\newenvironment{table}
               {\@float{table}}
               {\end@float}
\newenvironment{table*}
               {\@dblfloat{table}}
               {\end@dblfloat}
\newlength\abovecaptionskip
\newlength\belowcaptionskip
%25.11.01 Vyalyi:  ࠡ⠥, 㦭 ࠧ
%13.10.01 Vyalyi: ⠪ ? ⡨  㭪 - ୮ 
\setlength\abovecaptionskip{10\p@}
\setlength\belowcaptionskip{0\p@}


\long\def\@makecaption#1#2{%
  \vskip\abovecaptionskip
  \sbox\@tempboxa{\slshape\bfseries #1. \mdseries #2}%
  \ifdim \wd\@tempboxa >\hsize
    \slshape\bfseries #1. \mdseries #2\par
  \else
    \global \@minipagefalse
    \hb@xt@\hsize{\hfil\box\@tempboxa\hfil}%
  \fi
  \vskip\belowcaptionskip}
%Vyalyi: 
\long\def\specialcaption#1{%
  \vskip\abovecaptionskip
  \sbox\@tempboxa{\slshape\mdseries #1}%
  \ifdim \wd\@tempboxa >\hsize
    \slshape \mdseries #1\par
  \else
    \global \@minipagefalse
    \hb@xt@\hsize{\hfil\box\@tempboxa\hfil}%
  \fi
  \vskip\belowcaptionskip}

%%%OLDFONTS%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\DeclareOldFontCommand{\rm}{\normalfont\rmfamily}{\mathrm}
\DeclareOldFontCommand{\sf}{\normalfont\sffamily}{\mathsf}
\DeclareOldFontCommand{\tt}{\normalfont\ttfamily}{\mathtt}
\DeclareOldFontCommand{\bf}{\normalfont\bfseries}{\mathbf}
\DeclareOldFontCommand{\it}{\normalfont\itshape}{\mathit}
\DeclareOldFontCommand{\sl}{\normalfont\slshape}{\@nomath\sl}
\DeclareOldFontCommand{\sc}{\normalfont\scshape}{\@nomath\sc}
\DeclareRobustCommand*\cal{\@fontswitch\relax\mathcal}
\DeclareRobustCommand*\mit{\@fontswitch\relax\mathnormal}

%%%TABLE OF CONTENTS%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newcommand\@pnumwidth{1.55em}
\newcommand\@tocrmarg{2.55em}
\newcommand\@dotsep{4.5}
\setcounter{tocdepth}{1}
\def\tableofcontents{\@restonecolfalse
  \if@twocolumn\@restonecoltrue\onecolumn\fi
  \section*{\contentsname
%13.10.01 Vyalyi:  ,  ࠢ 祣  
        \@mkboth{\uppercase{\contentsname}}{\uppercase{\contentsname}}}%
{\raggedright\language=1\let\\newline\let\\relax\let\nontoc\inToc
\small\@starttoc{toc}}
\if@restonecol\twocolumn\fi}
%13.10.01 Vyalyi:  ᭮ ⥪
\let\\relax\def\{\protect\penalty-10000}
\def\inToc#1{}\def\inText#1{#1}\let\nontoc\inText

\def\l@part#1#2{\addpenalty{-\@highpenalty}%
   \addvspace{1em plus2\p@}% space above part line
   \begingroup
   \@tempdima 3em
     \parindent \z@ \rightskip \@pnumwidth
     \parfillskip -\@pnumwidth
     {\large \bf
     \leavevmode
     #1\hfil \hbox to\@pnumwidth{\hss #2}}\par
     \nobreak
    \global\@nobreaktrue
    \everypar{\global\@nobreakfalse\everypar{}}%% suggested by
   \endgroup}
\def\l@mypart#1#2{\addpenalty{-\@highpenalty}%
   \addvspace{1em plus2\p@}% space above part line
   \begingroup
   \@tempdima 3em
     \parindent \z@ \rightskip \@pnumwidth
     \parfillskip -\@pnumwidth
     {\leavevmode
     \textbf{#1}\hfil \hbox to\@pnumwidth{\hss #2}}\par
     \nobreak
    \global\@nobreaktrue
    \everypar{\global\@nobreakfalse\everypar{}}%% suggested by
   \endgroup}

%%\def\l@mypart{\@dottedtocline{1}{0.0em}{0.0em}}
\def\l@chapter{\@dottedtocline{1}{0.0em}{0.0em}}%15.02.98 : {2.3em}}
\def\l@section{\@dottedtocline{2}{1.5em}{2.3em}}
\def\l@subsection{\@dottedtocline{2}{3.8em}{3.2em}}
\def\l@subsubsection{\@dottedtocline{3}{7.0em}{4.1em}}
\def\l@paragraph{\@dottedtocline{4}{10em}{5em}}
\def\l@subparagraph{\@dottedtocline{5}{12em}{6em}}


%13.10.01 Vyalyi: 襭  
%07/02/97 :  室 䠩
%\newcommand\listoffigures{%
%\newcommand*\l@figure{\@dottedtocline{1}{1.5em}{2.3em}}
%\newcommand\listoftables{%
%\let\l@table\l@figure
%\newenvironment{theindex}
%\newcommand\@idxitem{\par\hangindent 40\p@}
%\newcommand\subitem{\@idxitem \hspace*{20\p@}}
%\newcommand\subsubitem{\@idxitem \hspace*{30\p@}}
%\newcommand\indexspace{\par \vskip 10\p@ \@plus5\p@ \@minus3\p@\relax}


%13.10.01 Vyalyi: 筠   ᮤঠ:  直 砩
\def\ATC#1#2{%
\addtocontents{toc}{\protect\noindent#1\protect\nopagebreak}%09/02/97 02:14
\addcontentsline{toc}{chapter}{\textit{#2}}%
\addtocontents{toc}{\smallskip}%
}

%%% 
\renewcommand\footnoterule{%
  \kern-3\p@
  \hrule\@width.4\columnwidth
  \kern2.6\p@}
\@addtoreset{footnote}{chapter}
\newcommand\@makefntext[1]{%
    \parindent 1em%
    \noindent
    \hb@xt@1.8em{\hss\@makefnmark}#1}

%%%NAMES (  )%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\def\contentsname{ঠ}
\def\figurename{.}
\def\partname{}
\def\listfigurename{᮪ 㭪}
\def\listtablename{᮪ ⠡}
\def\refname{᮪ }
\def\bibname{᮪ }
\def\indexname{। 㪠⥫}
\def\tablename{.}
\def\abstractname{ ।樨.}


%%% CHANGES IN MATH MODE

\@addtoreset{equation}{chapter}
% 05-08-95 : ࠢ 㬥 ᯫ  
\renewcommand\theequation{\arabic{equation}}

%
%%                    MATH SYMBOLS
%
\def\KK{{\mathbb K}}  \def\QQ{{\mathbb Q}}  \def\ZZ{{\mathbb Z}}  \def\NN{{\mathbb N}}
\def\RR{{\mathbb R}}  \def\CC{{\mathbb C}}  \def\LL{{\mathbb L}}  \def\FF{{\mathbb F}}
\def\Ss{{\mathbb S}}

%% ࠧࠧ   ⥬⨪

\newcommand*{\bydef}{\mathbin{\stackrel{\text{\tiny def}}{=}}}
\newcommand*{\byeq}[1]{\mathbin{\stackrel{\text{\tiny#1}}{=}}}
\newcommand \Iff
 {\ifmmode \mathrel{\Longleftrightarrow} \else $\Longleftrightarrow$\fi}
\newcommand \oper[1] {\mathop{\operator@font  #1}\nolimits}
\def\const{\oper{const}}
\def\tan{\oper{tg}}
\def\towhen{\mathop{\to}\limits}
\def\Spec{\oper{Spec}}
\newcommand*{\tg}{\mathop{\operator@font tg}\nolimits}
\newcommand*{\ctg}{\mathop{\operator@font ctg}\nolimits}
\newcommand*{\cosec}{\mathop{\operator@font cosec}\nolimits}
\newcommand*{\arctg}{\mathop{\operator@font arctg}\nolimits}
\newcommand*{\arcctg}{\mathop{\operator@font arcctg}\nolimits}
\newcommand*{\arcch}{\mathop{\operator@font arcch}\nolimits}
\newcommand*{\arcsh}{\mathop{\operator@font arcsh}\nolimits}
\newcommand*{\sh}{\mathop{\operator@font sh}\nolimits}
\newcommand*{\such}{\mathop{|}\nolimits}
\newcommand*{\ch}{\mathop{\operator@font ch}\nolimits}
\newcommand*{\ind}{\mathop{\operator@font ind}\nolimits}
\newcommand*{\id}{\mathop{\operator@font id}\nolimits}
\newcommand*{\Ker}{\mathop{\operator@font Ker}}
\newcommand*{\tr}{\mathop{\operator@font tr}}
\newcommand*{\diam}{\mathop{\operator@font diam}}
%\newcommand*{\dim}{\mathop{\operator@font dim}}
\renewcommand*{\Re}{\mathop{\operator@font Re}\nolimits}
\renewcommand*{\Im}{\mathop{\operator@font Im}\nolimits}
\newcommand*{\res}{\mathop{\operator@font res}\nolimits}

%\def\mod#1{\ (\mathrm{mod}\ #1)}
\DeclareTextCommand{\th}{OT1}{\mathop{\operator@font th}\nolimits}
\newcommand*{\cth}{\mathop{\operator@font cth}\nolimits}

%% ᮪饭   
%greek letters shortcuts
\let\al\alpha
\let\eps\varepsilon
\let\ld\lambda
\let\commonphi\phi
\let\ph\varphi
\let\phi\varphi
\let\vphi\varphi
%corrected symbols
\DeclareSymbolFont{AMSa}{U}{msa}{m}{n}
\DeclareSymbolFont{AMSb}{U}{msb}{m}{n}
\DeclareMathSymbol{\varkappa}{\mathord}{AMSb}{"7B}
\DeclareMathSymbol{\emptyset}{\mathord}{AMSb}{"3F}
\DeclareMathSymbol{\leqslant}{\mathrel}{AMSa}{"36}
\DeclareMathSymbol{\geqslant}{\mathrel}{AMSa}{"3E}
\let\vk\varkappa
\let\le\leqslant
\let\leq\leqslant
\let\ge\geqslant
\let\geq\geqslant

%
%13/12/96 :   ࠧ饭   㣨
\def\under#1#2{\def\tempmathop{\mathop{\rm #1}}%
$\tempmathop\limits_{\mbox{\tiny #2}}$}



%%%    ( ⠢ ।)
\newbox\titlebox
%
%७ᥭ  䠩 oblozh.tex \long\def\Coverpage{%

\def\titlepage{
\language=1
\@restonecolfalse\if@twocolumn\@restonecoltrue\onecolumn
     \else \newpage \fi \pagestyle{empty}%\c@page\z@%
}

\def\endtitlepage{\if@restonecol\twocolumn \else \newpage \fi
\language=0}

%  ࠭! 09-05-94 05:30pm
\long\def\maketitle{\begin{titlepage}%
 \let\footnotesize\small
 \let\footnoterule\relax

 \begin{center}%
   {\Huge  \par}%
   {\Huge  \par}%
   \vfill{\Large  \par}\vfill
   {\large\sc  \\par}
   \vfill\vfill\vfill
\vfill
{\Large
᪢

⥫⢮  

\Year
\par}
\vskip10pt
\end{center}
\newpage
\null
\vspace*{-\headsep}
\vspace*{-.7\headheight}

\noindent\makebox[\textwidth][s]{\begin{tabular}[t]{@{}l@{ }l@{}}
&51.009\\%
&22.1\\%
&34%
\end{tabular}
\hfil
\small
\begin{tabular}[t]{@{}c@{}}
\em  ⢫  প \\[3pt]
\em \us(⥫᪨ ஥ \us{\\,\)}.\\[3pt]
\epsffile{rffi}
\end{tabular}}

\vskip\baselineskip

\centerline{\LARGE 樮 }\par
\begin{center}
{
\begin{tabular}{lll}
㣠 .\,.        &
 .\,.         &
 .\,.           \\
쯥ਭ .\,.       &
 .\,.         &
ᥩ- .\,.     \\
祭 .\,.       &
஢ .\,.          &
襭 .\,.       \\
- .\,.    &
⠭⨭ .\,.    &
᮫ .\,.        \\
 .\,.           &
ᨭ᪨ .\,.       &
宬஢ .\,.       \\
७ .\,.         &
饭 .\,.        
\end{tabular}
}
\end{center}
\smallskip
\noindent{\sc  ।:} .~.~%%%.~.~宬஢
\hfill{\sc .~ᥪ:} .~.~

\vfil
\noindent{\sc   ।樨:}

{\tt
\noindent
119002, ᪢, . 쥢᪨ ., .\,11, .\,301 \\
( ⪮ \{}⥬᪮ ᢥ饭\{})\\
{\sc Email:} matpros@mccme.ru\qquad{\sc Web-page:} www.mccme.ru/free-books
}
\vfil
\vfil
{
\leftskip9mm
\noindent
\llap{34\hskip2mm}%
{\bf ⥬᪮ ᢥ饭.}  , .~\.~---\\
.:\,,  \Year. --- \᫮࠭~.

ISBN \ISBN

\medskip

{\footnotesize
\language=0
\Annotation
}

\vskip.25\baselineskip

\hbox to\textwidth{\hfil  51.009}

\hbox to\textwidth{\hfil  22.1}

}

\medskip


\vfil

%13.10.01 Vyalyi: ਬ  ॠ㫥 㬥
%{\small\}
\medskip

\vfil
\noindent\makebox[\textwidth][s]{\textbf{ISBN \ISBN}\hfil
\begin{tabular}[b]{@{}l@{ }l@{}}
\copyright&, \Year.
\end{tabular}}

\setcounter{footnote}{0}%
%\let\thanks\relax
\gdef\@thanks{}\gdef\@author{}\gdef\@title{}\let\maketitle\relax
%07/02/97 : ࠭ 窨 (  ,  ᮦ)
\end{titlepage}%
}

%%% 

\hyphenation{---
- -- -- -- -- -- 
--
- - -஬ 
----
 - - -ᥩ - -- -
- - - -- -
-䥤 -䥤ன
-- -- ---
--- --
--- --- --- ---
-
⮢
----⥫-
ࢮ- ࢮ- 
-
---- ----
-- -- --- 
ਦ-
⮦-
-९- -९-  -९- -९-  -९-᮪ -९- -९-- -९-
-९ -९- -९- -९-ᥩ -९- -९-- 
-९-
----
-----᪨
 - - -ᥩ - -- -
।-⠢-- ।-⠢--
஡-- ஡--  ஡-- ஡-- ஡-- ஡- 
஡-- ஡--- ஡--
ண-ࠬ-
--࠭-- --࠭-- --࠭---
-- -- -- --- ---樨
-- -- --ᮬ -- ---
-ᬮ-७--
ॡ- ॡ- -
- -- -- --ᥩ -- --- --
ᨬ-
ᨬ--ਨ ᨬ--- ᨬ---
-- ।--
-----
⠡-- ⠡--  ⠡-- ⠡--楩 ⠡-- ⠡- ⠡--栬 ⠡--- ⠡--
--饥
⥮- ⥮-ਨ ⥮- ⥮-- ⥮-਩ ⥮-- ⥮--
⥮--
⥮-- ⥮-- ⥮-- ⥮-- ⥮-- 
⥮-- ⥮-६ ⥮-- ⥮--- ⥮--
⥮----᪨ ⥮----᪨ ⥮----᪨
- -
-- --- ---ﬨ
-
-----
横-
᫮ -

}



%%%  ( ⮬ ᫥  russcorr.sty)
\newcommand\today{}
\edef\today{\ifcase\month\or
  January\or February\or March\or April\or May\or June\or
  July\or August\or September\or October\or November\or December\fi
  \space\number\day, \number\year}
\setlength\columnsep{10\p@}
\setlength\columnseprule{0\p@}
\def\ᥣ{\number\day\space
                \ifcase\month\or
                 ﭢ\or 䥢ࠫ\or \or ५\or \or
                 \or \or \or ᥭ\or \or
                 \or \fi\space\number\year}
\frenchspacing
\righthyphenmin 2

\pagestyle{headings}
\pagenumbering{arabic}
\if@twoside
\else
  \raggedbottom
\fi
\if@twocolumn
  \twocolumn
  \sloppy
  \flushbottom
\else
  \onecolumn
\fi
% !!!!    ண 宦 !!!!  ᯥ  german.sty
\def\@allowhyphens{\penalty\@M\hskip\z@skip}
\def\set@low@box#1{\setbox\tw@\hbox{,}\setbox\z@\hbox{#1}\dimen\z@\ht\z@
     \advance\dimen\z@ -\ht\tw@
     \setbox\z@\hbox{\lower\dimen\z@ \box\z@}\ht\z@\ht\tw@ \dp\z@\dp\tw@ }
%    (this lowers the german left quotes to the same level as the comma.)
\def\@glqq{{\ifhmode \edef\@SF{\spacefactor\the\spacefactor}\else
     \let\@SF\empty \fi \leavevmode
     \set@low@box{''}\box\z@\kern-.04em\@allowhyphens\@SF\relax}}
\def\glqq{\protect\@glqq}
\def\@grqq{\ifhmode \edef\@SF{\spacefactor\the\spacefactor}\else
     \let\@SF\empty \fi \kern-.07em``\kern.07em\@SF\relax}
\def\grqq{\protect\@grqq}
\def\@glq{{\ifhmode \edef\@SF{\spacefactor\the\spacefactor}\else
     \let\@SF\empty \fi \leavevmode
     \set@low@box{'}\box\z@\kern-.04em\@allowhyphens\@SF\relax}}
\def\glq{\protect\@glq}
\def\@grq{\kern-.07em`\kern.07em}
\def\grq{\protect\@grq}
% !!!!
\let\\glqq
\let\\grqq
\let\\glq
\let\\grq


%%% 䠩   ९
% ----------------  ⨯ \ (..), \ () -------------------

%  ࠧ ᪮஢  ⨫ 䠩 .९
%
% ࠩ ".."  \ . ⠫쭮 -- 筮.
%    ᯮ  ஡ ᫥  .
% ਬ,  ࠢ 
%     ..., \\ ...
%     ..., \{} ...
%  
%     ..., \ ...
\newcommand*{\}{.\,.\xspace}
\newcommand*{\}{.\,.\xspace}
%20.10.01 Vyalyi:   ⠪ 
\newcommand*{\}{⠪ \xspace}
\newcommand*{\}{ \xspace}
\newcommand*{\}{~.\,.\xspace}
\newcommand*{\}{~.\,.\xspace}
%24.11.01 Vyalyi:
\newcommand*{\}{.\,.\,.\xspace}

%  \  ਪ ᫮  㫥   祬-.
% ., "\ $+$\ "
%  \ (\)  \ (\) ⠢  (窨), ᫥ 
% ࠧ ப 饭  ࠧ襭, ᮮ⢥ᢥ.
% ⠪,
%   \ ⠢ , ᫥ ண ࠧ ப .
%         ., "$1$\ ଠ"
%   \ ⠢ , ᫥ ண ࠧ ப .
%         ., "ணࠤ᪮\ " (  㦭 \ ?)
%  : ᫨  "$1$-ଠ"  "ணࠤ᪮--",
%  㤥 ࠧ襭 ࠧ뢠  ᫥   饭 ७
% ᫮ "ଠ", "ணࠤ᪮"  "".  ⮩ 稭  
%  \.
\newcommand*{\}{\nobreak\hskip\z@skip}
\DeclareRobustCommand*{\}{\\hbox{-}\}
\DeclareRobustCommand*{\}{\\hbox{-}\hskip\z@skip}
\DeclareRobustCommand*{\}{\,\textendash\,\}
\DeclareRobustCommand*{\}{\,\textendash\,\hskip\z@skip}
%Vyalyi: 
%% \DeclareRobustCommand*{\}{~\textemdash{} }
%% \DeclareRobustCommand*{\}{~\textemdash{} }
\DeclareRobustCommand*{\}{~\textthreequartersemdash{} }
\DeclareRobustCommand*{\}{~\textthreequartersemdash{} }
%Vyalyi: 
\DeclareRobustCommand*{\}{\\hbox{\:}\}


\endinput
%%
%% End of file `matprsv.cls'.